summarylogtreecommitdiffstats
path: root/sawfish.install
diff options
context:
space:
mode:
Diffstat (limited to 'sawfish.install')
-rw-r--r--sawfish.install18
1 files changed, 10 insertions, 8 deletions
diff --git a/sawfish.install b/sawfish.install
index 9e214f2d2222..3b43a746612a 100644
--- a/sawfish.install
+++ b/sawfish.install
@@ -1,19 +1,21 @@
-info_dir=/usr/share/info
+infodir=/usr/share/info
+file=sawfish.info
post_install() {
- install-info ${info_dir}/sawfish.info.gz ${info_dir}/dir
- gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+ [ -x usr/bin/install-info ] || return 0
+ install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
}
post_upgrade() {
- post_install $1
+ post_install
}
pre_remove() {
- install-info --delete ${info_dir}/sawfish.info.gz ${info_dir}/dir
+ [ -x usr/bin/install-info ] || return 0
+ install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
}
post_remove() {
- gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
-}
-
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+} \ No newline at end of file